Get an invoice by ID
https://api.propexo.com/v1/invoices/:invoice_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the invoice
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| GET /Bills |
4The external ID of the property from the integration vendor
| Method |
|---|
| GET /Bills |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
| Method |
|---|
| GET /Bills |
1465The external ID of the vendor from the integration vendor
This field will always be null for RENTMANAGER
nullThe external ID of the financial account from the integration vendor
This field will always be null for RENTMANAGER
nullThe external ID of the cash financial account from the integration vendor
This field will always be null for RENTMANAGER
nullThe external ID of the AP financial account from the integration vendor
This field will always be null for RENTMANAGER
nullThe amount due on the invoice, in cents
This field will always be null for RENTMANAGER
nullThe amount paid on the invoice, in cents
| Method |
|---|
| GET /Bills |
16000custom_data object | nullrequired
The due date associated with the invoice
| Method |
|---|
| GET /Bills |
2019-01-27T00:00:00.000ZThe deposit amount in cents associated with the invoice
This field will always be null for RENTMANAGER
nullThe date a discount was issued on invoice
This field will always be null for RENTMANAGER
nullThe date the invoice was issued
| Method |
|---|
| GET /Bills |
2019-01-27T00:00:00.000ZThe reference number for the invoice
| Method |
|---|
| GET /Bills |
225Notes associated with the invoice
| Method |
|---|
| GET /Bills |
Management Fees: 410-415 SouthblockThe date the invoice was posted. Some PMS systems only show the month.
| Method |
|---|
| GET /Bills |
2019-01-27T00:00:00.000ZThe month the invoice was posted.
| Method |
|---|
| GET /Bills |
2019-01The raw post status associated with the invoice
This field will always be null for RENTMANAGER
nullThe sub total amount of the invoice
This field will always be null for RENTMANAGER
nullThe amount of the invoice, in cents
| Method |
|---|
| GET /Bills |
16000The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
| Method |
|---|
| GET /Bills |
cmgjprasu79183794371b9g9kvrcrejvThe Propexo unique identifier for the cash financial account
This field will always be null for RENTMANAGER
nullThe Propexo unique identifier for the ap financial account
This field will always be null for RENTMANAGER
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_RESTRENTMANAGERinvoice_items object[]required
The invoice list items associated with the invoice
The external ID from the integration vendor
| Method |
|---|
| GET /Bills |
5The external ID of the property from the integration vendor
| Method |
|---|
| GET /Bills |
6The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
| Method |
|---|
| GET /Bills |
1465The external ID of the financial account from the integration vendor
| Method |
|---|
| GET /Bills |
44The external ID of the cash financial account from the integration vendor
This field will always be null for RENTMANAGER
nullThe Propexo unique identifier for the invoice
| Method |
|---|
| GET /Bills |
cmgfa2sta13334133751s3g7ak1mq1614The Propexo unique identifier for the construction job
This field will always be null for RENTMANAGER
nullThe amount due on the invoice item, in cents
This field will always be null for RENTMANAGER
nullNotes associated with the invoice item
| Method |
|---|
| GET /Bills |
CleaningThe amount of the invoice item, in cents
| Method |
|---|
| GET /Bills |
16000The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
| Method |
|---|
| GET /Bills |
cmgjprasu79183794371b9g9kvrcrejvThe Propexo unique identifier for the cash financial account
This field will always be null for RENTMANAGER
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "4",
"x_property_id": "na",
"x_location_id": "1465",
"x_vendor_id": null,
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": 16000,
"custom_data": "Unknown Type: object,null",
"due_date": "2019-01-27T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": null,
"invoice_date": "2019-01-27T00:00:00.000Z",
"invoice_number": "225",
"notes": "Management Fees: 410-415 Southblock",
"post_date": "2019-01-27T00:00:00.000Z",
"post_month": "2019-01",
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": 16000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cmgjprasu79183794371b9g9kvrcrejv",
"cash_financial_account_id": null,
"ap_financial_account_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"invoice_items": [
{
"x_id": "5",
"x_property_id": "6",
"x_location_id": "1465",
"x_gl_account_id": "44",
"x_cash_financial_account_id": null,
"invoice_id": "cmgfa2sta13334133751s3g7ak1mq1614",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "Cleaning",
"total_amount_in_cents": 16000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cmgjprasu79183794371b9g9kvrcrejv",
"cash_financial_account_id": null
}
]
}
}